Critical BackupUpdate Backup Zone

Update Backup Zone

Update the sync configuration of a zone linked to a critical backup job.

curl -X POST "https://api.5centscdn.com/v2/cb/42/zone/2102" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "meta": {
    "mode": "1",
    "sync": "3",
    "compare": "1",
    "casesync": "2",
    "filters": "",
    "directory": {
      "source": "/",
      "backup": "",
      "sink": ""
    },
    "backupdirectory": "",
    "backupmode": "",
    "backup": ""
  }
}'
{
  "result": "success",
  "message": "CriticalBackup link updated"
}
POST
/cb/{backupid}/zone/{zoneid}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
backupidinteger
Required

Critical Backup job ID

path
zoneidinteger
Required

ID of the CDN zone linked to the backup

Content-Typestring
Required

The media type of the request body

Options: application/json
metaobject
Required

Sync configuration for the linked zone.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

backupidinteger
Required

Critical Backup job ID

Example:
42
zoneidinteger
Required

ID of the CDN zone linked to the backup

Example:
2102

Body

application/json
metaobject
Required

Sync configuration for the linked zone.

Responses

resultstring

Status of the API response.

messagestring

Human-readable status or result message.